Page MenuHomePhabricator

Release Math 3.0
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/Math : masterBump version to 3.0.0

Event Timeline

Physikerwelt raised the priority of this task from to Medium.
Physikerwelt updated the task description. (Show Details)
Physikerwelt added a subscriber: Physikerwelt.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2015, 8:26 PM
Physikerwelt added a project: Math.EditedJul 21 2015, 8:26 PM
Physikerwelt set Security to None.

I'm not sure if we should better call it math 2.1?

Change 226050 had a related patch set uploaded (by Physikerwelt):
Bump version to 3.0.0

https://gerrit.wikimedia.org/r/226050

Paladox added a subscriber: Paladox.

It should be 3.0 since you have made a big change that doesn't bring back word
Compatibility instead removed mathjax.

He7d3r added a subscriber: He7d3r.Jul 21 2015, 9:43 PM
Paladox added a subscriber: ori.Jul 21 2015, 9:51 PM

I'm fine with 3.0.0 if that's what http://semver.org/ suggests

Nemo_bis removed a subscriber: Nemo_bis.Jul 22 2015, 7:30 PM

Once 3.0 is released we should create a branch for it so bugs and some new features can be added and then bump master branch to 4.0.

We made good progress. Only two tasks remain.

Physikerwelt moved this task from Incoming to Next-up on the Math board.Aug 2 2015, 12:53 PM

Looks like we have one more blocking task.

Which is T103269

I did remove the stalled bugs and moved them to 3.1... Please add blocking tasks here if you think that's required.

Physikerwelt closed this task as Resolved.Dec 10 2015, 3:31 PM
Physikerwelt claimed this task.

Change 226050 merged by jenkins-bot:
Bump version to 3.0.0

https://gerrit.wikimedia.org/r/226050